Roman Turner

Just ran into this problem and don’t want you to too, choo choo 🚂

Photo by Dan Congdon on Unsplash

Rails 6+ currently does not work out of the box with their built in test suite. While tooling around with it working through ‘Agile Web Development with Rails 6’ by Same Ruby, David Bryant Copeland, and Dave Thomas.

Error occured: gems/ruby-3.0.2/gems/bootsnap-1.9.1/lib/bootsnap/load_path_cache/core_ext/kernel_require.rb:34:in `require’: cannot load such file — rexml/document (LoadError)

Apparently this is a dependency issue with selenium-webdriver. To fix this add this to your gem file.

gem ‘rexml’, ‘~> 3.2’, ‘>= 3.2.4’

Read more on why and why, here and here.

--

--

Roman Turner

Roman Turner

Seattle Software Engineer. A collector of new skills, with a fondness for all things sushi.